# Copyright (c) 2005 by Intevation GmbH
# Authors:
#
# This program is free software under the GPL (>=v2)
# Read the file COPYING coming with Thuban for details.

# Determine the status of GDAL support. If GDAL is supported
# gdal_support_status will be set to the empty string, otherwise to a
# string with information why it isn't supported
#
# GDAL is supported if we can import both the thuban specific gdalwarp
# module and the GDAL python bindings.

ok = True


if ok:
    import gdallayer

    from Thuban.UI.extensionregistry import ExtensionDesc, ext_registry
    from Thuban import _

    ext_registry.add(ExtensionDesc(
        name = 'GDAL',
        version = '0.1.0',
        authors= [ 'Jonathan Coles' ],
        copyright = '2005 Intevation GmbH',
        desc = _("Provide layers via GDAL.")))
